freemarker.template

## Interface TemplateDirectiveBody

    public interface TemplateDirectiveBody

Represents the nested content of a directive (`TemplateDirectiveModel`) invocation. An implementation of this class is passed to `TemplateDirectiveModel.execute(freemarker.core.Environment, java.util.Map, TemplateModel[], TemplateDirectiveBody)`. The implementation of the method is free to invoke it for any number of times, with any writer.

Since:
  2.3.11

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `render(Writer out)` Renders the body of the directive body to the specified writer.

### Method Detail

#### render

    void render(Writer out)
         throws TemplateException,
                IOException

Renders the body of the directive body to the specified writer. The writer is not flushed after the rendering. If you pass the environment's writer, there is no need to flush it. If you supply your own writer, you are responsible to flush/close it when you're done with using it (which might be after multiple renderings).

Parameters:
  `out` - the writer to write the output to.
Throws:
  `TemplateException`
  `IOException`